
From: Stephen Smalley <sds@epoch.ncsc.mil>

This patch corrects a typo in an ifdef that enables xattr operations for
special files in the ext2 code; otherwise, extended attributes cannot be
obtained or set on such inodes.



 25-akpm/fs/ext2/namei.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/ext2/namei.c~ext2-xattr-typo-fix fs/ext2/namei.c
--- 25/fs/ext2/namei.c~ext2-xattr-typo-fix	Tue Aug 26 12:28:47 2003
+++ 25-akpm/fs/ext2/namei.c	Tue Aug 26 12:28:47 2003
@@ -143,7 +143,7 @@ static int ext2_mknod (struct inode * di
 	int err = PTR_ERR(inode);
 	if (!IS_ERR(inode)) {
 		init_special_inode(inode, inode->i_mode, rdev);
-#ifdef CONFIG_EXT2_FS_EXT_ATTR
+#ifdef CONFIG_EXT2_FS_XATTR
 		inode->i_op = &ext2_special_inode_operations;
 #endif
 		mark_inode_dirty(inode);

_
